#ifndef ACTIONLISTCALL_H_
#define ACTIONLISTCALL_H_

#include "Gui.h"
#include "RuntimeData.h"
#include "Runtime.h"


extern unsigned int ActList_0_Call(unsigned char aActList);
extern unsigned int ActList_1_Call(unsigned char aActList);
extern unsigned int ActList_2_Call(unsigned char aActList);
extern unsigned int ActList_3_Call(unsigned char aActList);
extern unsigned int ActList_4_Call(unsigned char aActList);
extern unsigned int ActList_5_Call(unsigned char aActList);
extern unsigned int ActList_6_Call(unsigned char aActList);
extern unsigned int ActList_7_Call(unsigned char aActList);
extern unsigned int ActList_8_Call(unsigned char aActList);
extern unsigned int ActList_9_Call(unsigned char aActList);
extern unsigned int ActList_10_Call(unsigned char aActList);

extern TGuiMsgReturn ActList_0_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_1_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_2_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_3_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_4_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_5_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_6_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_7_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_8_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_9_ToDo(unsigned char aKey);
extern TGuiMsgReturn ActList_10_ToDo(unsigned char aKey);


extern int ActList_0_CallBack(unsigned char Prm);
extern int ActList_1_CallBack(unsigned char Prm);
extern int ActList_2_CallBack(unsigned char Prm);
extern int ActList_3_CallBack(unsigned char Prm);
extern int ActList_4_CallBack(unsigned char Prm);
extern int ActList_5_CallBack(unsigned char Prm);
extern int ActList_6_CallBack(unsigned char Prm);
extern int ActList_7_CallBack(unsigned char Prm);
extern int ActList_8_CallBack(unsigned char Prm);
extern int ActList_9_CallBack(unsigned char Prm);


extern int ActList_0_RedrawCallBack(unsigned char Prm);
extern int ActList_1_RedrawCallBack(unsigned char Prm);
extern int ActList_2_RedrawCallBack(unsigned char Prm);
extern int ActList_3_RedrawCallBack(unsigned char Prm);
extern int ActList_4_RedrawCallBack(unsigned char Prm);
extern int ActList_5_RedrawCallBack(unsigned char Prm);
extern int ActList_6_RedrawCallBack(unsigned char Prm);
extern int ActList_7_RedrawCallBack(unsigned char Prm);
extern int ActList_8_RedrawCallBack(unsigned char Prm);
extern int ActList_9_RedrawCallBack(unsigned char Prm);













#endif


